JQP(1)

NAME
jqp - a TUI to explore the jq command line utility

DESCRIPTION
jqp is a terminal user interface (TUI) for exploring the jq command line utility.

You can use it to run jq queries interactively. If no query is provided, the interface will prompt you for one.

The command accepts an optional query argument which will be executed against the input JSON or newline-delimited JSON (NDJSON). You can provide the input JSON or NDJSON either through a file or via standard input (stdin).

  Usage:

    jqp [query] [flags]

  Flags:

--config string
    path to config file (default is $HOME/.jqp.yaml)

-f, --file string
    path to the input JSON file

-h, --help
    help for jqp

-t, --theme string
    jqp theme

-v, --version
    version for jqp